classification
Title: Add get_body and iter_attachments to provisional email API
Type: enhancement Stage: resolved
Components: email Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder: Master patch for content manager addition to email package
View: 18891
Assigned To: Nosy List: barry, r.david.murray
Priority: normal Keywords: patch

Created on 2013-08-19 21:24 by r.david.murray, last changed 2013-10-09 21:43 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
get_body_iter_attachments.patch r.david.murray, 2013-08-19 21:24 review
Messages (2)
msg195669 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-08-19 21:24
I'm working on completing the API changes for the email package for 3.4.  This means I'm adding some more stuff to the current provisional API, which I will then aim to make non-provisional in 3.5.

I've made a complete proposal to the email-sig, and have gotten some positive feedback but no detailed reviews yet.

One part of the new API proposal is independent of the rest, and I've documented that part and implemented it.  I'm posting the patch for that part.  The patch includes some of the documentation for the rest, though not all of it...you can ignore all the doc changes in the new doc page except for the docs for the three new methods implemented by the patch for the purposes of reviewing this patch, though of course feedback on the (incomplete) rest is welcome.

I'm posting this now because this part of the enhancement can be reviewed independently of the other changes.

Note: I'm aware that MIMEMessage duplicates the name of a class in the mime subpackage.  By the time I'm done that class will be deprecated (in 3.5).  I haven't got that approved by the SIG yet, though, so it may change :)
msg199347 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-10-09 21:43
Serhiy's review comments were addressed by changes made on the master patch issue.

Closing this one in favor of that one.
History
Date User Action Args
2013-10-09 21:43:19r.david.murraysetstatus: open -> closed
2013-10-09 21:43:12r.david.murraysetsuperseder: Master patch for content manager addition to email package
resolution: out of date
messages: + msg199347
stage: patch review -> resolved
2013-08-28 01:28:42r.david.murraylinkissue18860 dependencies
2013-08-19 21:24:42r.david.murraycreate